"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const connector_1 = require("./entities/connector");
class Constants {
}
exports.Constants = Constants;
Constants.canvasWidth = 900;
Constants.canvasHeight = 600;
Constants.densityX = 10;
Constants.densityY = 20;
Constants.numberOfRows = Constants.canvasHeight / Constants.densityY;
Constants.numberOfColumns = Constants.canvasWidth / Constants.densityX;
Constants.font = '11px Courier';
Constants.accentColor = `rgb(255, 165, 0, 1.0)`;
Constants.vertexRadius = 8;
Constants.halfVertexRadius = Constants.vertexRadius / 2;
Constants.connectorStartDirection = connector_1.ConnectorDirection.Horizontal;
Constants.continuousLineDashPattern = '0';
Constants.dashedLineDashPattern = '8,7';
Constants.dottedLineDashPattern = '1,4';
Constants.continuousLineSymbol = '';
Constants.dashedLineSymbol = ';';
Constants.dottedLineSymbol = ':';
//# sourceMappingURL=constants.js.map