export declare class Text {
    private readonly _row;
    private readonly _column;
    private _text;
    static fromGrid(row: number, column: number, text: string): Text;
    constructor(row: number, column: number, text: string);
    get row(): number;
    get column(): number;
    get text(): string;
    addChar(char: string): void;
    removeChar(): void;
}
export declare namespace Text {
    class Builder {
        protected _row: number;
        protected _column: number;
        protected _text: string;
        protected constructor(row: number, column: number, text: string);
        static from(text: Text): Builder;
        build(): Text;
        row(value: number): this;
        column(value: number): this;
        text(value: string): this;
    }
}
